import QtQuick 2.0

import "Config.js" as Config

HighwayLoadItemBase
{
    property alias highwayName: nameText.text
    property alias highwayLevel: nameText.loadlLevelValue
    property alias paintedWidth: nameText.paintedWidth

    property alias textWidth: nameText.width

    ColorfulText
    {
        id: nameText
        font.pointSize: Config.HighwayLoadLevelTextFontSize
        x: Config.HighwayNameTextX
        y: Config.HighwayNameTextY
//        width: parent.width //Config.HighwayNameTextWidth
        elide: Text.ElideRight
        font.bold: Config.HighwayNameFontBold
        font.family: textFontLoader.name
        isColorful: Config.HighwayNameTextColorful
        colorDefault: Config.HighwayLoadLevelItemTextColorDefault
        colorGreen: Config.HighwayLoadLevelItemTextColorGreen
        colorYellow:  Config.HighwayLoadLevelItemTextColorYellow
        colorRed: Config.HighwayLoadLevelItemTextColorRed

        FontLoader
        {
            id: textFontLoader
            source: Config.HighwayLoadLevelTextFontSource
        }
    }
}
