#ifndef STREET_H
#define STREET_H

#include <QVector>
#include "streetload.h"

class Street
{
public:
	Street(const QString& name, const QString& title);
	Street(const Street &other);
	Street &operator=(const Street &other);
	~Street();

	void addStreetLoad( StreetLoad* load );

	const QVector<StreetLoad*>& directions() const { return m_directions; }

	inline QString streetTitle() const{ return m_strTitle; }
	inline QString streetName() const { return m_strName; }
	inline unsigned int streetCountDirections() const{ return m_directions.size(); }


private:
	QString m_strName;
	QString m_strTitle;
	QVector<StreetLoad*> m_directions;
};

#endif // STREET_H
